summaryrefslogtreecommitdiffstats
path: root/source/l/python-pygments
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/python-pygments')
-rw-r--r--source/l/python-pygments/Pygments.url1
-rw-r--r--source/l/python-pygments/pygments.url1
-rwxr-xr-xsource/l/python-pygments/python-pygments.SlackBuild11
-rw-r--r--source/l/python-pygments/slack-desc2
4 files changed, 8 insertions, 7 deletions
diff --git a/source/l/python-pygments/Pygments.url b/source/l/python-pygments/Pygments.url
deleted file mode 100644
index c8fb574a0..000000000
--- a/source/l/python-pygments/Pygments.url
+++ /dev/null
@@ -1 +0,0 @@
-https://pypi.org/project/Pygments
diff --git a/source/l/python-pygments/pygments.url b/source/l/python-pygments/pygments.url
new file mode 100644
index 000000000..5773ab185
--- /dev/null
+++ b/source/l/python-pygments/pygments.url
@@ -0,0 +1 @@
+https://pypi.org/project/pygments
diff --git a/source/l/python-pygments/python-pygments.SlackBuild b/source/l/python-pygments/python-pygments.SlackBuild
index 99f266005..f0da3eff8 100755
--- a/source/l/python-pygments/python-pygments.SlackBuild
+++ b/source/l/python-pygments/python-pygments.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2020, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2017, 2018 Heinz Wiesinger, Amsterdam, NL
# All rights reserved.
#
@@ -24,11 +24,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-pygments
-VERSION=${VERSION:-$(echo Pygments-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+SRCNAM=pygments
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-SRCNAM=Pygments
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -61,7 +60,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-python3 setup.py install --root=$PKG || exit 1
+unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a *.rst LICENSE PKG-INFO \
diff --git a/source/l/python-pygments/slack-desc b/source/l/python-pygments/slack-desc
index 005b0a539..f5dea0246 100644
--- a/source/l/python-pygments/slack-desc
+++ b/source/l/python-pygments/slack-desc
@@ -12,7 +12,7 @@ python-pygments: Pygments is a generic syntax highlighter written in Python that
python-pygments: supports over 300 languages and text formats, for use in code hosting,
python-pygments: forums, wikis or other applications that need to prettify source code.
python-pygments:
-python-pygments: Homepage: https://pypi.org/project/Pygments
+python-pygments: Homepage: https://pypi.org/project/pygments
python-pygments:
python-pygments:
python-pygments: